<div class="container-fluid mx-auto mb-5">
  <div class="row">
    <div class="card col-md-6 col-md-offset-3 mx-auto">
      <div id="panel-flat-reservation" class="panel panel-flat-reservation">


        <div class="col-xs-12">
          <h4> Entrez vos préférences pour une réservation :</h4>
        </div>

        <div class="panel-body">
          <div class="row">
            <div class="col-lg-12">
              <form [formGroup]="flatReservationForm" (ngSubmit)="flatReservationForm.valid && submitRegistration(flatReservationForm.value)"
                novalidate>
                <div class="form-group row">
                  <label class="col-4 col-form-label">Date d'arrivée:</label>
                  <div class="col-8">
                    <input type="date" class="form-control" formControlName="arrivingDate">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-4 col-form-label">Date de départ:</label>
                  <div class="col-8">
                    <input type="date" class="form-control" formControlName="leavingDate">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-4 col-form-label">Adultes:</label>
                  <div class="col-8">
                    <input type="number" class="form-control" formControlName="adultsNumber">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-4 col-form-label">Enfants (de 0 à 15 ans inclus):</label>
                  <div class="col-8">
                    <input type="number" class="form-control" formControlName="kidsNumber">
                  </div>
                </div>
                <div class="form-group">
                  <div class="col-sm-12 ">
                    <button class='form-control btn btn-primary' type='submit' [disabled]='!flatReservationForm.valid'>Vérifer
                      les disponibilités</button>
                    <div *ngIf="available === undefined && display">
                      Il n'y a pas de chambre disponible pour les dates sélectionnées.
                    </div>
                  </div>

                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
